export declare enum EventName {
    STYLES_CHANGED = "styles-changed",
    DS_CHANGED = "design-system-changed",
    APPLY_CUSTOM_DESIGN = "apply-custom-design"
}
export interface StyleUpdateEventDetail {
    accentColor: string;
    neutralColor: string;
    bodyFont: string;
    luminance: number;
    density: number;
    designUnit: number;
    borderRadius: number;
    strokeWidth: number;
    baseFontSize: string;
    baseLineHeight: string;
}
export interface DSUpdateEventDetail {
    prefix: string;
    buttonAppearanceAccent: string;
    buttonAppearanceNeutral: string;
    buttonAppearanceOutline: string;
    buttonAppearanceText: string;
    badgeAppearanceAccent: string;
    badgeAppearanceNeutral: string;
    badgeText: string;
}
export interface DesignSystem {
    name: string;
    value: string;
}
export declare const fontFamilies: {
    Roboto: string;
    'Segoe UI': string;
    Monospace: string;
    'Times New Roman': string;
    Garamond: string;
    Georgia: string;
    Helvetica: string;
    Verdana: string;
};
export declare const defaultBodyFont: string;
//# sourceMappingURL=types.d.ts.map